Manuel PHP
Précédent |  | Suivant

# apache_setenv

(PHP 4 >= 4.2.0, PHP 5)

apache_setenv -- Modifie une variable de subprocess_env Apache

## Description

bool apache_setenv ( string variable, string value [, bool walk_to_top] )

apache_setenv() définie la valeur de la variable d'environnement Apache spécifiée par le paramètre variable.

> Note : Lors de la définition d'une variable d'environnement Apache, la variable $_SERVER correspondante n'est pas modifiée.

## Liste de paramètres

variable

  La variable d'environnement qui sera modifiée.

value

  La nouvelle valeur de variable.

walk_to_top

  Si passé à `TRUE`, assignation de la variable de haut niveau disponible pour toutes les couches d'Apache.

## Valeurs de retour

Cette fonction retourne `TRUE` en cas de succès, `FALSE` en cas d'échec.

## Exemples

Exemple 1. Modification d'une variable d'environnement d'Apache avec apache_setenv()

`<?php apache_setenv("EXAMPLE_VAR", "Example Value"); ?>`

## Notes

> Note : apache_setenv() peut être utilisé conjointement à apache_getenv() à travers plusieurs pages ou pour définir des variables à passer aux includes coté serveur (.shtml) qui ont été incluses dans les scripts PHP.

## Voir aussi

apache_getenv()

Précédent | Sommaire | Suivant
apache_response_headers | Niveau supérieur | ascii2ebcdic